Package oracle.jdbc.datasource.impl

## Class OracleConnectionBuilderImpl

- java.lang.Object
- - oracle.jdbc.internal.AbstractConnectionBuilder<OracleConnectionBuilderImpl,​OracleConnection>
  - - oracle.jdbc.datasource.impl.OracleConnectionBuilderImpl

All Implemented Interfaces:
  `ConnectionBuilder`, `OracleConnectionBuilder`

    public abstract class OracleConnectionBuilderImpl
    extends oracle.jdbc.internal.AbstractConnectionBuilder<OracleConnectionBuilderImpl,​OracleConnection>
    implements OracleConnectionBuilder

Oracle Implementation class for Connection Builder

### Constructor Summary

Constructors
`OracleConnectionBuilderImpl()`

### Method Summary

### Methods inherited from class oracle.jdbc.internal.AbstractConnectionBuilder

`accessToken, build, copy, ensureMutableState, executorOracle, getAllowSingleShardTransaction, getExecutor, getGSSCredential, getInstanceName, getPassword, getReadOnlyInstanceAllowed, getServiceName, getShardingKey, getSSLContext, getSuperShardingKey, getTokenSupplier, getUser, gssCredential, instanceName, password, password, readOnlyInstanceAllowed, serviceName, setImmutable, setTokenSupplier, shardingKey, shardingKey, singleShardTransactionSupport, sslContext, superShardingKey, superShardingKey, unconfigured, user, verifyBuildConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.OracleConnectionBuilder

`accessToken, build, buildAsyncOracle, buildConnectionPublisherOracle, executorOracle, gssCredential, password, readOnlyInstanceAllowed, shardingKey, shardingKey, sslContext, superShardingKey, superShardingKey, user`

### Constructor Detail

#### OracleConnectionBuilderImpl

    public OracleConnectionBuilderImpl()